### Hierarchy

- SupportSignedMessageData<BtcCryptoWallet>
  - BtcWalletData

## Index

### Constructors

- constructor

### Properties

- data
- sig

### Methods

- getMessage
- getSignedMessage
- fromJson

## Constructors

### constructor

- new BtcWalletData(data: BtcCryptoWallet, sig?: string): BtcWalletData

- Inherited from SupportSignedMessageData.constructor

  - Defined in utils/types/BaseTypes.ts:60

  #### Parameters

  - ##### data: BtcCryptoWallet

  - ##### Optional sig: string

  #### Returns BtcWalletData

## Properties

### data

data: BtcCryptoWallet

Inherited from SupportSignedMessageData.data

- Defined in utils/types/BaseTypes.ts:57

### sig

sig: string

Inherited from SupportSignedMessageData.sig

- Defined in utils/types/BaseTypes.ts:60

## Methods

### getMessage

- getMessage(): MessageData<string>

- Inherited from SupportSignedMessageData.getMessage

  - Defined in utils/types/BaseTypes.ts:71

  #### Returns MessageData<string>

### getSignedMessage

- getSignedMessage(): StringSignedMessage

- Inherited from SupportSignedMessageData.getSignedMessage

  - Defined in utils/types/BaseTypes.ts:67

  #### Returns StringSignedMessage

### Static fromJson

- fromJson(json: JsonObject<BtcWalletData>): BtcWalletData

- - Defined in utils/types/BaseTypes.ts:156

  #### Parameters

  - ##### json: JsonObject<BtcWalletData>

  #### Returns BtcWalletData

Generated using TypeDoc